{% extends "layout.html" %}

{% block body %}

<table class="table table-condensed table-striped table-responsive table-hover">
  <thead>
    <tr>
      <th>Brand</th>
      <th>URL</th>
      <th>Location</th>
      <th>Properties</th>
      <th>Version</th>
      <th>Tools available</th>
    </tr>
  </thead>
  <tbody>
    {% for instance in instances|sort(attribute='brand') %}
    <tr>
      <td>{{ instance.brand|default('', True) }}</td>
      <td><a href="http://{{ instance.url }}" target="_blank">{{ instance.url }}</a></td>
      <td>{{ instance.location }}</td>
      <td>
          {% if instance.require_login %}
          <i class="fa fa-lock" title="Login required"></i>
          {% else %}
          <i class="text-muted fa fa-lock" title="No login required"></i>
          {% endif %}
          {% if instance.enable_quotas %}
          <i class="fa fa-pie-chart" title="Quotas enabled"></i>
          {% else %}
          <i class="text-muted fa fa-pie-chart" title="No quota"></i>
          {% endif %}
          {% if instance.terms_url %}
          <a href="{{ instance.terms_url }}" target="_blank" title="Terms"><i class="fa fa-legal"></i></a>
          {% else %}
          <i class="text-muted fa fa-legal"></i>
          {% endif %}
      </td>
      <td>{{ instance.version }}</td>
      <td>
        {% if instance.brand != None %}
        <a href="{{ url_for('search', search='instance:"'+instance.brand+'"') }}">
        {% endif %}
        {{ instance.get_tools_count() }}
        {% if instance.brand != None %}
        </a>
        {% endif %}
      </td>
    </tr>
    {% else %}
    <tr>
      <td colspan="3">No instances registered</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

{% endblock %}
